Creates a new user_planning_slot_type
Request Information
URI Parameters :
None.
Body Parameters :
user_planning_slot_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| name |
Name of the user planning slot type. |
string |
Required Max length: 50 |
| background_color |
User can select amongst any color. |
string |
Max length: 7 |
| sales_organization_id |
Organization on which belongs the user planning slot type |
globally unique identifier |
Required |
| is_support |
To specify if this slot inform the user he is "on call" during that period. |
boolean | |
| show_on_user_job_list |
to specify if need to be shown on wo list. |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "e8657773-f7e8-42fd-91d0-fd9d2bed851c",
"name": "sample string 2",
"background_color": "sample ",
"sales_organization_id": "46530d92-dac4-4d55-992d-630c6d9e22c5",
"is_support": true,
"show_on_user_job_list": true,
"modified_dateutc": "2026-04-19T10:49:42.5113712+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.